> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get public key to encrypt exchange credentials

> Return public key



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /exchange_accounts/credentials_public_key
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /exchange_accounts/credentials_public_key:
    get:
      tags:
        - Exchange accounts
      summary: Get public key to encrypt exchange credentials
      description: Return public key
      operationId: getExchangeAccountsCredentialsPublicKey
      responses:
        '200':
          description: public key as string
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetExchangeAccountsCredentialsPublicKeyResponse
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<GetExchangeAccountsCredentialsPublicKeyResponse>>
            =
            fireblocks.exchangeAccounts.getExchangeAccountsCredentialsPublicKey();
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<GetExchangeAccountsCredentialsPublicKeyResponse>>
            response =
            fireblocks.exchangeAccounts().getExchangeAccountsCredentialsPublicKey();
        - lang: Python
          source: >-
            response =
            fireblocks.exchange_accounts.get_exchange_accounts_credentials_public_key();
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    GetExchangeAccountsCredentialsPublicKeyResponse:
      type: object
      properties:
        publicKey:
          type: string
          description: Public key string
        tenantId:
          type: string
          description: Tenant identifier
      required:
        - publicKey
        - tenantId
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````